Retrieve marketplace config
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/marketplace/{marketplace_id}/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/marketplace/{marketplace_id}/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/marketplace/{marketplace_id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"marketplace_config": {
"marketplace_id": "<string>",
"marketplace_name": "<string>",
"marketplace_slug": "<string>",
"marketplace_type": "amazon",
"marketplace_store_id": "<string>",
"sync_products": true,
"sync_inventory": true,
"sync_orders": true,
"categories": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"active": true,
"parent_category_id": "<string>",
"slug": "<string>",
"product_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"child_categories": "<unknown>"
}
],
"customer_groups": [
{
"name": "<string>",
"id": "<string>",
"slug": "<string>",
"description": "<string>",
"is_default": true,
"active": true
}
],
"marketplace_store_name": "<string>",
"required_credentials_params": {}
}
}
}Marketplace
Retrieve marketplace config
Retrieve marketplace config
GET
/
marketplace
/
{marketplace_id}
/
config
Retrieve marketplace config
Was this page helpful?
⌘I